Subject: Re: [PATCH 2/4 v2] net: Use sk_tx_queue_mapping for connected sockets

From: Eric Dumazet <[email-masked]>
Date: Fri, 16 Oct 2009 16:07:30 +0200

Krishna Kumar2 a écrit :

> I wait for tcp_v4_syn_recv_sock to finish and create a connection.
> sk_setup_caps/__sk_dst_set are called for the new socket resulting
> in sk_dst_cache getting set (I cannot set the cache till the
> connection is finished and dst is set). I guess that means that I
> will wait for another skb to come and the response will use skb_tx_hash
> instead of using the rx recorded.

Well, I see no relation between rx mapping and tx mapping currently.

> 
> Will this suffice, but if not, is it something I should handle or an
> add-on patch should do instead?
> 

Your patch is fine, I was only giving ideas for future patches :)